Bug 494475 - remove faq and feedback
remove faq and feedback
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Jesus M. Rodriguez
Preethi Thomas
:
Depends On:
Blocks: 456985 460136
  Show dependency treegraph
 
Reported: 2009-04-06 23:56 EDT by Jesus M. Rodriguez
Modified: 2009-09-10 16:35 EDT (History)
1 user (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 16:35:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
diff of the changes that occurred (122.05 KB, patch)
2009-04-07 00:03 EDT, Jesus M. Rodriguez
no flags Details | Diff

  None (edit)
Description Jesus M. Rodriguez 2009-04-06 23:56:47 EDT
While fixing bug #460136 the only code using customerservice emails was in the FAQ and Feedback code. Since this code was not used, I removed it.
Comment 1 Jesus M. Rodriguez 2009-04-07 00:01:06 EDT
The perl code uses it from Sniglets::Mailer (Sniglets/Mailer.pm)
which only seems to exist in order to support the FAQ page.
https://wrx.devel.redhat.com/help/faq.pxt (I added the .pxt if you
are looking at YOUR satellite remove .pxt).

As you can see that page says at the top that we folks should use
the Red Hat Knowledgebase. I agree 100% with that comment.

I propose we obliterate the FAQ page and all the supporting code
behind it. This include a number of queries and tables (might
affect postgres work).

Code that would get removed:

web/modules/sniglets/Sniglets/Mailer.pm
web/html/help/faq
web/html/help/.htaccess (remove faq entry)
web/modules/rhn/RHN/DB/DataSource/xml/General_queries.xml
 (faq related queries ~ 5 of them)
schema/spacewalk/rhnsat/tables/rhnFAQClass.sql
schema/spacewalk/rhnsat/tables/rhnFAQ.sql
schema/spacewalk/rhnsat/tables/rhnFAQ_satdata.sql
schema/spacewalk/rhnsat/tables/rhnFAQClass_data.sql
schema/spacewalk/upgrade/satellite-5.1-spacewalk-0.2/023-rhnFAQ_satdata.sql
schema/spacewalk/upgrade/satellite-5.1-spacewalk-0.2/021-rhnFAQClass-strings.sql
schema/spacewalk/upgrade/satellite-5.1-spacewalk-0.2/022-rhnFAQ-purge.sql
documentation/db-schema/spacewalk-0.1/sql_sources/table/rhnfaqclass.sql
documentation/db-schema/spacewalk-0.1/sql_sources/table/rhnfaq.sql

Then I would add an upgrade script to drop the rhnFAQ* related tables.
Comment 2 Jesus M. Rodriguez 2009-04-07 00:01:22 EDT
web/modules/rhn/RHN/DB/Feedback.pm
web/modules/rhn/RHN/Feedback.pm

also get nuked.

What do we do with the upgrade scripts that reference this table?
Do they remain? or do they get dropped in favor of one that drops
the rhnFAQ* tables?

Here's what I have for an upgrade script:

---------
drop index rhn_faqclass_or_uq;
drop index rhn_faqclass_label_uq;
drop sequence RHN_FAQ_CLASS_ID_SEQ;
drop table rhnFAQClass;

drop trigger rhn_faq_mod_trig;
drop sequence rhn_faq_id_seq;
drop table rhnFAQ;
---------
Comment 3 Jesus M. Rodriguez 2009-04-07 00:03:33 EDT
Created attachment 338455 [details]
diff of the changes that occurred
Comment 4 Jesus M. Rodriguez 2009-04-07 00:03:55 EDT
Files changed.

#	modified:   branding/css/rhn-special-styles.css
#	deleted:    documentation/db-schema/spacewalk-0.1/sql_sources/table/rhnfaq.sql
#	deleted:    documentation/db-schema/spacewalk-0.1/sql_sources/table/rhnfaqclass.sql
#	deleted:    documentation/db-schema/spacewalk-0.1/table-RHNFAQCLASS.html
#	modified:   java/buildconf/builder/config/satellite/default/rhn_web.conf
#	modified:   schema/spacewalk/rhnsat/tables/Makefile.deps
#	deleted:    schema/spacewalk/rhnsat/tables/rhnFAQ.sql
#	deleted:    schema/spacewalk/rhnsat/tables/rhnFAQClass.sql
#	deleted:    schema/spacewalk/rhnsat/tables/rhnFAQClass_data.sql
#	deleted:    schema/spacewalk/rhnsat/tables/rhnFAQ_satdata.sql
#	modified:   web/html/help/.htaccess
#	deleted:    web/html/help/faq
#	modified:   web/modules/rhn/RHN/DB/DataSource/xml/General_queries.xml
#	modified:   web/modules/rhn/RHN/DB/DataSource/xml/User_queries.xml
#	deleted:    web/modules/rhn/RHN/DB/Feedback.pm
#	deleted:    web/modules/rhn/RHN/Feedback.pm
#	modified:   web/modules/sniglets/Sniglets/ListView/GeneralList.pm
#	modified:   web/modules/sniglets/Sniglets/Lists.pm
#	deleted:    web/modules/sniglets/Sniglets/Mailer.pm
#	modified:   web/modules/sniglets/Sniglets/Users.pm
#	modified:   web/spacewalk-web.spec
Comment 5 Jesus M. Rodriguez 2009-04-07 00:14:46 EDT
#   new file:   schema/spacewalk/upgrade/spacewalk-schema-0.5-to-spacewalk-schema-0.6/102-drop-rhnfaqclass.sql
#   new file:   schema/spacewalk/upgrade/spacewalk-schema-0.5-to-spacewalk-schema-0.6/103-drop-rhnfaq.sql
Comment 6 Jesus M. Rodriguez 2009-04-15 14:27:34 EDT
TEST PLAN
===========

database
-----------
verify tables are gone

- desc rhnfaqclass
- observe 'ORA-04043: object rhnfaqclass does not exist'
- desc rhnfaq
- observe 'ORA-04043: object rhnfaq does not exist'

ui
---
try to browse the faq page

- http://YOURSATELLITE/help/faq.pxt
- observe page not found error

filesystem
-----------
on your satellite look for deleted files:

- ls /var/www/lib/Sniglets/Mailer.pm
- ls /var/www/lib/RHN/Feedback.pm
- ls /var/www/lib/RHN/DB/Feedback.pm
- ls /var/www/html/help/faq

- observe 'No such file or directory' message for each of the above

general
--------
be on the lookout for possible tracebacks related to FAQ or feedback pages.
nothing specific just not sure if there's any other potential errors that might arise during normal Satellite operation.
Comment 8 Miroslav Suchý 2009-08-24 10:28:03 EDT
web page do not exist and additionaly:
[root@xen5 tmp]# locate Feedback
/usr/share/doc/java-1.6.0-ibm-devel-1.6.0.4/content/apidoc/Security/JCEFIPS/com/ibm/crypto/fips/provider/FeedbackCipher.html
/usr/share/man/man3/XChangeFeedbackControl.3x.gz
/usr/share/man/man3/XGetFeedbackControl.3x.gz
/usr/share/man/man3/glFeedbackBuffer.3gl.gz
[root@xen5 tmp]# sqlplus -S rhnsat/rhnsat@rhnsat
desc rhnFAQClass;
desc rhnFAQ
ERROR:
ORA-04043: object rhnFAQClass does not exist


ERROR:
ORA-04043: object rhnFAQ does not exist


verified in stage on xen5
Comment 9 Brandon Perkins 2009-09-10 16:35:15 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.